org.apache.lucene.document

## Enum ShapeField.DecodedTriangle.TYPE

- java.lang.Object
- - java.lang.Enum<ShapeField.DecodedTriangle.TYPE>
  - - org.apache.lucene.document.ShapeField.DecodedTriangle.TYPE

- All Implemented Interfaces:
    Serializable, Comparable<ShapeField.DecodedTriangle.TYPE>
  Enclosing class:
    ShapeField.DecodedTriangle

      public static enum ShapeField.DecodedTriangle.TYPE
      extends Enum<ShapeField.DecodedTriangle.TYPE>

  type of triangle

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LINE` first and third coordinates are equal
    `POINT` all coordinates are equal
    `TRIANGLE` all coordinates are different

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShapeField.DecodedTriangle.TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ShapeField.DecodedTriangle.TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POINT

          public static final ShapeField.DecodedTriangle.TYPE POINT

      all coordinates are equal

    - #### LINE

          public static final ShapeField.DecodedTriangle.TYPE LINE

      first and third coordinates are equal

    - #### TRIANGLE

          public static final ShapeField.DecodedTriangle.TYPE TRIANGLE

      all coordinates are different

  - ### Method Detail

    - #### values

          public static ShapeField.DecodedTriangle.TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShapeField.DecodedTriangle.TYPE c : ShapeField.DecodedTriangle.TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShapeField.DecodedTriangle.TYPE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.